Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.facet.core
Class FacetSetCatalog

    java.lang.Object
      EcoreCatalog
          org.eclipse.gmt.modisco.infra.facet.core.FacetSetCatalog

    public final class FacetSetCatalog

extends EcoreCatalog

Method Summary
`java.util.Collection<FacetSet>` | `getAllFacetSets()` This methods returns the facet sets of all the resources contained in the catalog.
`java.util.HashSet<FacetSet>` | `getDefaultFacetSets(EPackage ePackage)`
`java.util.HashMap<EPackage,java.util.HashSet<FacetSet>>` | `getEPackageToDefaultFacetSetMap()`
`FacetSet` | `getFacetSet(java.lang.String name)` This method returns the facet set of the resource having for name the "name" parameter value.
`static FacetSetCatalog` | `getSingleton()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSingleton

    public static FacetSetCatalog getSingleton()

### getEPackageToDefaultFacetSetMap

    public java.util.HashMap<EPackage,java.util.HashSet<FacetSet>> getEPackageToDefaultFacetSetMap()

### getFacetSet

    public FacetSet getFacetSet(java.lang.String name)

  This method returns the facet set of the resource having for name the "name" parameter value.

  Parameters:
    `name` - the name of a resource contained in the catalog
  Returns:
    return a facet set

### getDefaultFacetSets

    public java.util.HashSet<FacetSet> getDefaultFacetSets(EPackage ePackage)

### getAllFacetSets

    public java.util.Collection<FacetSet> getAllFacetSets()

  This methods returns the facet sets of all the resources contained in the catalog.

  Returns:
    returns all the facet sets

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD